//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.11 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2016.04.09 at 03:27:09 AM HKT 
//


package io.ubermut.trafficalert.model.jaxb.speedmap;

import java.math.BigInteger;
import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;


/**
 * <p>Java class for anonymous complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence maxOccurs="unbounded"&gt;
 *         &lt;element name="jtis_speedmap"&gt;
 *           &lt;complexType&gt;
 *             &lt;complexContent&gt;
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                 &lt;sequence&gt;
 *                   &lt;element name="LINK_ID" type="{http://www.w3.org/2001/XMLSchema}string"/&gt;
 *                   &lt;element name="REGION" type="{http://www.w3.org/2001/XMLSchema}string"/&gt;
 *                   &lt;element name="ROAD_TYPE" type="{http://www.w3.org/2001/XMLSchema}string"/&gt;
 *                   &lt;element name="ROAD_SATURATION_LEVEL" type="{http://www.w3.org/2001/XMLSchema}string"/&gt;
 *                   &lt;element name="TRAFFIC_SPEED" type="{http://www.w3.org/2001/XMLSchema}integer"/&gt;
 *                   &lt;element name="CAPTURE_DATE" type="{http://www.w3.org/2001/XMLSchema}dateTime"/&gt;
 *                 &lt;/sequence&gt;
 *               &lt;/restriction&gt;
 *             &lt;/complexContent&gt;
 *           &lt;/complexType&gt;
 *         &lt;/element&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "", propOrder = {
    "jtisSpeedmap"
})
@XmlRootElement(name = "jtis_speedlist")
public class JtisSpeedlist {

    @XmlElement(name = "jtis_speedmap", required = true)
    protected List<JtisSpeedlist.JtisSpeedmap> jtisSpeedmap;

    /**
     * Gets the value of the jtisSpeedmap property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the jtisSpeedmap property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getJtisSpeedmap().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link JtisSpeedlist.JtisSpeedmap }
     * 
     * 
     */
    public List<JtisSpeedlist.JtisSpeedmap> getJtisSpeedmap() {
        if (jtisSpeedmap == null) {
            jtisSpeedmap = new ArrayList<JtisSpeedlist.JtisSpeedmap>();
        }
        return this.jtisSpeedmap;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType&gt;
     *   &lt;complexContent&gt;
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *       &lt;sequence&gt;
     *         &lt;element name="LINK_ID" type="{http://www.w3.org/2001/XMLSchema}string"/&gt;
     *         &lt;element name="REGION" type="{http://www.w3.org/2001/XMLSchema}string"/&gt;
     *         &lt;element name="ROAD_TYPE" type="{http://www.w3.org/2001/XMLSchema}string"/&gt;
     *         &lt;element name="ROAD_SATURATION_LEVEL" type="{http://www.w3.org/2001/XMLSchema}string"/&gt;
     *         &lt;element name="TRAFFIC_SPEED" type="{http://www.w3.org/2001/XMLSchema}integer"/&gt;
     *         &lt;element name="CAPTURE_DATE" type="{http://www.w3.org/2001/XMLSchema}dateTime"/&gt;
     *       &lt;/sequence&gt;
     *     &lt;/restriction&gt;
     *   &lt;/complexContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "linkid",
        "region",
        "roadtype",
        "roadsaturationlevel",
        "trafficspeed",
        "capturedate"
    })
    public static class JtisSpeedmap {

        @XmlElement(name = "LINK_ID", required = true)
        protected String linkid;
        @XmlElement(name = "REGION", required = true)
        protected String region;
        @XmlElement(name = "ROAD_TYPE", required = true)
        protected String roadtype;
        @XmlElement(name = "ROAD_SATURATION_LEVEL", required = true)
        protected String roadsaturationlevel;
        @XmlElement(name = "TRAFFIC_SPEED", required = true)
        protected BigInteger trafficspeed;
        @XmlElement(name = "CAPTURE_DATE", required = true)
        @XmlSchemaType(name = "dateTime")
        protected XMLGregorianCalendar capturedate;

        /**
         * Gets the value of the linkid property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getLINKID() {
            return linkid;
        }

        /**
         * Sets the value of the linkid property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setLINKID(String value) {
            this.linkid = value;
        }

        /**
         * Gets the value of the region property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getREGION() {
            return region;
        }

        /**
         * Sets the value of the region property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setREGION(String value) {
            this.region = value;
        }

        /**
         * Gets the value of the roadtype property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getROADTYPE() {
            return roadtype;
        }

        /**
         * Sets the value of the roadtype property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setROADTYPE(String value) {
            this.roadtype = value;
        }

        /**
         * Gets the value of the roadsaturationlevel property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getROADSATURATIONLEVEL() {
            return roadsaturationlevel;
        }

        /**
         * Sets the value of the roadsaturationlevel property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setROADSATURATIONLEVEL(String value) {
            this.roadsaturationlevel = value;
        }

        /**
         * Gets the value of the trafficspeed property.
         * 
         * @return
         *     possible object is
         *     {@link BigInteger }
         *     
         */
        public BigInteger getTRAFFICSPEED() {
            return trafficspeed;
        }

        /**
         * Sets the value of the trafficspeed property.
         * 
         * @param value
         *     allowed object is
         *     {@link BigInteger }
         *     
         */
        public void setTRAFFICSPEED(BigInteger value) {
            this.trafficspeed = value;
        }

        /**
         * Gets the value of the capturedate property.
         * 
         * @return
         *     possible object is
         *     {@link XMLGregorianCalendar }
         *     
         */
        public XMLGregorianCalendar getCAPTUREDATE() {
            return capturedate;
        }

        /**
         * Sets the value of the capturedate property.
         * 
         * @param value
         *     allowed object is
         *     {@link XMLGregorianCalendar }
         *     
         */
        public void setCAPTUREDATE(XMLGregorianCalendar value) {
            this.capturedate = value;
        }

    }

}
